[Qa-jenkins-scm] [jenkins.debian.net] 02/02: reproducible: remove lockfiles older than 2 days

Holger Levsen holger at moszumanska.debian.org
Fri May 22 09:36:40 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 02e17c1bc393c20276875eefe027f1d31a6877e5
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri May 22 11:36:16 2015 +0200

    reproducible: remove lockfiles older than 2 days
---
 bin/reproducible_maintenance.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 34aca03..5a2a5ec 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -153,6 +153,15 @@ if grep -q '|' $PACKAGES ; then
 fi
 rm $PACKAGES
 
+# remove lockfiles older than 2 days
+LOCKFILES=$(find /tmp/reproducible-lockfile-* -maxdepth 1 -type f -mtime +2 -exec ls -lad {} \; || true)
+if [ ! -z "$LOCKFILES" ] ; then
+	echo
+	echo "Removed old lockfiles:"
+	find /tmp/reproducible-lockfile-* -maxdepth 1 -type f -mtime +2 -exec rm -rv {} \;
+	echo
+fi
+
 # find packages which have been removed from the archive
 PACKAGES=$(mktemp)
 QUERY="SELECT name, suite, architecture FROM removed_packages

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list